Update Custom Field crm.invoice.userfield.update
Choose a tool for developing with an AI agent:
- use Alaio Vibecode to build an app for Bitrix24 from a task description without knowing any programming language. The agent writes the code and deploys the app to a server, with no manual hosting setup
- use the MCP server to develop a REST API integration in your own project. The agent refers to the official REST documentation
Scope:
crmWho can execute the method: any user
DEPRECATED
The development of this method has been halted. Please use Universal Methods for Invoices.
This method updates an existing custom field for invoices.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
id |
Identifier of the custom field |
|
fields |
Set of fields - an array in the form |
|
LIST |
Contains a set of list values for custom fields of type List. This is specified when creating/updating the field. Each value is an array with the following fields:
|
Code Examples
cURL (Webhook)
cURL (OAuth)
JS
PHP
BX24.js
PHP CRest
Go
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**", "fields": {"EDIT_FORM_LABEL": "**put_label_here**", "LIST_COLUMN_LABEL": "**put_label_here**"}}' \
https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.invoice.userfield.update
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**", "fields": {"EDIT_FORM_LABEL": "**put_label_here**", "LIST_COLUMN_LABEL": "**put_label_here**"}, "auth": "**put_access_token_here**"}' \
https://**put_your_bitrix24_address**/rest/crm.invoice.userfield.update
try
{
const id = prompt("Enter ID");
const label = prompt("Enter new name");
const response = await $b24.callMethod(
"crm.invoice.userfield.update",
{
id: id,
fields: {
"EDIT_FORM_LABEL": label,
"LIST_COLUMN_LABEL": label
}
}
);
const result = response.getData().result;
console.dir(result);
if (response.more())
response.next();
}
catch( error )
{
console.error(error);
}
$id = $_POST['id'];
$label = $_POST['label'];
try {
$response = $b24Service
->core
->call(
'crm.invoice.userfield.update',
[
'id' => $id,
'fields' => [
'EDIT_FORM_LABEL' => $label,
'LIST_COLUMN_LABEL' => $label
]
]
);
$result = $response
->getResponseData()
->getResult();
echo 'Success: ' . print_r($result, true);
if ($response->more()) {
$response->next();
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error updating user field: ' . $e->getMessage();
}
var id = prompt("Enter ID");
var label = prompt("Enter new name");
BX24.callMethod(
"crm.invoice.userfield.update",
{
id: id,
fields: {
"EDIT_FORM_LABEL": label,
"LIST_COLUMN_LABEL": label
}
},
function (result)
{
if (result.error())
console.error(result.error());
else
{
console.dir(result.data());
if (result.more())
result.next();
}
}
);
require_once('crest.php');
$id = $_REQUEST['id']; // Assuming ID is passed as a request parameter
$label = $_REQUEST['label']; // Assuming label is passed as a request parameter
$result = CRest::call(
'crm.invoice.userfield.update',
[
'id' => $id,
'fields' => [
'EDIT_FORM_LABEL' => $label,
'LIST_COLUMN_LABEL' => $label
]
]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
// client and ctx are already created — see the Go SDK section
res, err := client.Core().Call(ctx, "crm.invoice.userfield.update", b24.Params{
"id": "**put_id_here**",
"fields": b24.Params{
"EDIT_FORM_LABEL": "**put_label_here**",
"LIST_COLUMN_LABEL": "**put_label_here**",
},
})
if err != nil {
return fmt.Errorf("crm.invoice.userfield.update: %w", err)
}
// The response arrives as json.RawMessage — unmarshal it
// into a struct matching the response shape shown below on this page.
fmt.Printf("%s\n", res.Result)